<?php

namespace Teknisa\PAR\Service;

use Teknisa\PAR\Factory\UtilFactory;

class UtilService {
    
    protected $utilFactory;

    public function __construct(UtilFactory $utilFactory) {
        $this->utilFactory = $utilFactory;
    }
    
    public function getMaxCodigoDeTabela($nomeTabela, $nomeCampo) {
        $dataset = $this->utilFactory->getMaxCodigoDeTabela($nomeTabela, $nomeCampo);
        return (count($dataset) > 0) ? (int)$dataset[0]["MAX"] : null;
    }
}